Package org.jsr166

## Class ConcurrentHashMap8<K,​V>

- java.lang.Object
- - org.jsr166.ConcurrentHashMap8<K,​V>

All Implemented Interfaces:
  `Serializable`

    @Deprecated
    public class ConcurrentHashMap8<K,​V>
    extends Object
    implements Serializable

Deprecated.
need for java deserialization ConcurrentHashMap8 from old nodes.
This class use only for deserialization. In code use ConcurrentHashMap.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ConcurrentHashMap8()` Deprecated.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcurrentHashMap8

    public ConcurrentHashMap8()

Deprecated.